
Foreman - Refactor #35423

Tracker # 28570 (Closed): Rails 6.1 Tracker

Update ancestry to version 4

08/24/2022 11:46 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: Packaging   

Target version: 3.5.0   

Difficulty:  Fixed in Releases: 3.5.0

Triaged: Yes Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/9374,

https://github.com/theforeman/foreman-p

ackaging/pull/8388

  

Description

Version 4.0.0 fixed Rails 6.1 support. 4.2.0 also adds Ruby 3 and Rails 7 support.

Associated revisions

Revision c2210372 - 08/25/2022 10:01 AM - Ewoud Kohl van Wijngaarden

Fixes #35423 - Update ancestry to version 4

Version 4.0.0 fixed Rails 6.1 support. 4.2.0 also adds Ruby 3 and Rails

7 support.

Revision 49ed03cd - 08/25/2022 10:34 AM - Ewoud Kohl van Wijngaarden

Fixes #35423 - Update rubygem-ancestry to 4.2.0

History

#1 - 08/24/2022 11:47 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Ewoud Kohl van Wijngaarden

- Pull request https://github.com/theforeman/foreman/pull/9374 added

#2 - 08/24/2022 12:20 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-packaging/pull/8388 added

#3 - 08/25/2022 10:01 AM - The Foreman Bot

- Fixed in Releases 3.5.0 added

#4 - 08/25/2022 11:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset foreman|c221037299b863b74accfa811ffcd930a01a51a0.

#5 - 11/28/2022 12:28 PM - Ewoud Kohl van Wijngaarden

- Category changed from Rails to Packaging

- Triaged changed from No to Yes
